<?
ini_set('error_reporting',1);
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Estadisticas de Ventas</title>
<?
include("../conex.php");
 
$vende =$_GET["cp"];

?>



<style type="text/css">
<!--
.Estilo1 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px;}
.Estilo2 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; color:#FF0000}
-->
</style>
</head>
<body LINK="#000000" VLINK="#000000" ALINK="#000000">  <br>
<div align="center" class="titulos2">HISTORIAL DE PRODUCTO  <?=$vende?> </div>
<div align="center">

    <table width="85%" border="0">
      <tr bgcolor="#CCCCCC">
        <th width="10%" scope="col"><div align="center">Fecha</div></th>        
        <th width="13%" scope="col"><div align="center">Rut</div></th>        
        <th width="29%" scope="col"><div align="center">Cliente/Proveedor</div></th>
        <th width="5%"  scope="col"><div align="center">Tipo</div></th>
        <th width="9%"  scope="col"><div align="center">Numero</div></th> 
        <th width="6%"  scope="col"><div align="center">E/S</div></th>
        <th width="8%"  scope="col"><div align="center">Canti</div></th>
        <th width="9%"  scope="col"><div align="center">Saldo</div></th>
        <th width="11%" scope="col"><div align="center">P.Unit</div></th>
     
	<?		
	//**********  ver anterior *************
	 $unixtime = time();
	 $mi_dia = date("d",$unixtime);
	 
		$settime = $unixtime  - ( 86400* $mi_dia);
		$mi_dia = date("d",$settime);
		$mi_mes = date("m",$settime);
		$mi_ano = date("Y",$settime); 

	
	$fecha_tope=$mi_ano."-".$mi_mes."-".$mi_dia;
	$saldo=0;
		  
	$sqlfs = "SELECT entrada_salida_traspaso, cantidad FROM movimiento  WHERE cod_producto=$vende AND tipo_dcto<>3  AND tipo_dcto<>5 AND fecha<='$fecha_tope'";

  	$resfs = mysql_query($sqlfs,$enlace);	

	$cont=0;
	while (mysql_fetch_object ($resfs))
 			{				
				$entrada_salida= mysql_result($resfs, $cont, "entrada_salida_traspaso");
				$cantidad= mysql_result($resfs, $cont, "cantidad");
			
				if ($entrada_salida == "E") 
				{
					$saldo+=$cantidad;
				}
				else
				{
				    $saldo-=$cantidad;
				}
			$cont+=1;
			}
						

	//**************  saldo NV no facturadas ***********************

		  	$sqlfs = "SELECT movimiento.rut, nombres.rut, nombres.razon_social, movimiento.numero_dcto, movimiento.tipo_dcto, fecha, entrada_salida_traspaso, cantidad, precio_unitario FROM movimiento, nombres, salida  WHERE movimiento.rut=nombres.rut AND cod_producto=$vende AND (movimiento.tipo_dcto=3 OR movimiento.tipo_dcto=5) AND id_soe=salida.id AND documento_control is Null  AND fecha<'$fecha_tope'";
		

		  	$resfs = mysql_query($sqlfs,$enlace);	

			$cont=0;
			while (mysql_fetch_object ($resfs))
 				{
				
				$entrada_salida= mysql_result($resfs, $cont, "entrada_salida_traspaso");
				$cantidad= mysql_result($resfs, $cont, "cantidad");
			
				if ($entrada_salida == "E") {
					$saldo+=$cantidad;
				}
				else
				{
				$saldo-=$cantidad;
				}

			$cont+=1;
			}
						
			?>

			
	
				 
	  <tr>
		        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
		        
	          </strong></span></div></td>
              <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
		       
	          </strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
				  Saldo Anterior al <?=$mi_dia?>/<?=$mi_mes?>/<?=$mi_ano?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
				
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				 
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=$saldo?>
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				
				</strong></span></div></td>
				
      </tr>		
    	
       
<?		
		
		  
		  	$sqlfs = "SELECT movimiento.rut, numero_dcto, movimiento.tipo_dcto, movimiento.fecha, entrada_salida_traspaso, cantidad, precio_unitario FROM movimiento  WHERE cod_producto='$vende' AND tipo_dcto<>3  AND tipo_dcto<>5 AND fecha>'$fecha_tope' ORDER BY fecha ";
			

		  	$resfs = mysql_query($sqlfs,$enlace);	

			$cont=0;
			while (mysql_fetch_object ($resfs))
 				{
					$rut = mysql_result($resfs, $cont, "movimiento.rut");
				
				$fecha = mysql_result($resfs, $cont, "movimiento.fecha");					
			
				$dia = substr ($fecha, 8, 2);
                $mes = substr ($fecha, 5, 2);
                $aņo = substr ($fecha, 0, 4);
					$fecha = "$dia/$mes/$aņo";
				
				$nombre = "";  //mysql_result($resfs, $cont, "nombres.razon_social");
				$sql_nom = "SELECT razon_social FROM nombres WHERE rut='$rut'";
				$res_nom = mysql_query($sql_nom,$enlace);
			        $nombre = mysql_result($res_nom, 0, "razon_social");
			
			
			$tipo= mysql_result($resfs, $cont, "movimiento.tipo_dcto");
      
	  	      if ($tipo!= 0)
		        {
				$sqlc = "SELECT * FROM tipo_dcto WHERE id=$tipo";
		  		$resc = mysql_query($sqlc,$enlace);
				
				$descripcion = mysql_result($resc, 0, "descripcion");
				}
			  else 
				{
				$descripcion = "INVENT";
				}
			
				$numero= mysql_result($resfs, $cont, "numero_dcto");
				$entrada_salida= mysql_result($resfs, $cont, "entrada_salida_traspaso");
				$cantidad= mysql_result($resfs, $cont, "cantidad");
				$precio_unitario= mysql_result($resfs, $cont, "precio_unitario");
				if ($entrada_salida == "E") 
				{
					$saldo+=$cantidad;
				}
				else
				{
				    $saldo-=$cantidad;
				}
				$cantidad=number_format($cantidad,0,',','.');
				$precio_unitario=number_format($precio_unitario,0,',','.');
			?>	
				 
			<tr>
		        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
		          <?=$fecha?>    
	          </strong></span></div></td>
              <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
		          <?=$rut?>    
	          </strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
				  <?=$nombre?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
				  <?=$descripcion?>
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=$numero?>
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=$entrada_salida?>
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=$cantidad?>
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=$saldo?>
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=$precio_unitario?>
				</strong></span></div></td>
				
	        </tr>	
			<?
			$cont+=1;
			}
						
			?>
	
<?		
	//**************  saldo NV no facturadas ***********************

		  	$sqlfs = "SELECT movimiento.rut, nombres.rut, nombres.razon_social, movimiento.numero_dcto, movimiento.tipo_dcto, fecha, entrada_salida_traspaso, cantidad, precio_unitario FROM movimiento, nombres, salida  WHERE movimiento.rut=nombres.rut AND cod_producto=$vende AND  (movimiento.tipo_dcto=3  OR movimiento.tipo_dcto=5) AND id_soe=salida.id AND documento_control is Null  AND fecha>'$fecha_tope' ORDER BY fecha ";
		

		  	$resfs = mysql_query($sqlfs,$enlace);	

			$cont=0;
			while (mysql_fetch_object ($resfs))
 				{
				$rut = mysql_result($resfs, $cont, "rut");
				
				$fecha = mysql_result($resfs, $cont, "fecha");					
			
				$dia = substr ($fecha, 8, 2);
                $mes = substr ($fecha, 5, 2);
                $aņo = substr ($fecha, 0, 4);
					$fecha = "$dia/$mes/$aņo";
				
				$nombre = mysql_result($resfs, $cont, "razon_social");
				
			
			$tipo= mysql_result($resfs, $cont, "tipo_dcto");
      
	  	if ($tipo!= 0){
				$sqlc = "SELECT * FROM tipo_dcto WHERE id=$tipo";
		  		$resc = mysql_query($sqlc,$enlace);
				
				$descripcion = mysql_result($resc, 0, "descripcion");
				}
				else 
				{
				$descripcion = "INVENTARIO";
				}
			
				$numero= mysql_result($resfs, $cont, "numero_dcto");
				$entrada_salida= mysql_result($resfs, $cont, "entrada_salida_traspaso");
				$cantidad= mysql_result($resfs, $cont, "cantidad");
				$precio_unitario= mysql_result($resfs, $cont, "precio_unitario");
				if ($entrada_salida == "E") {
					$saldo+=$cantidad;
				}
				else
				{
				$saldo-=$cantidad;
				}
				$cantidad=number_format($cantidad,0,',','.');
				$precio_unitario=number_format($precio_unitario,0,',','.');
			?>	
				 
			<tr>
		        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
		          <?=$fecha?>    
	          </strong></span></div></td>
              <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
		          <?=$rut?>    
	          </strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
				  <?=$nombre?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
				  <?=$descripcion?>
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=$numero?>
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=$entrada_salida?>
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=$cantidad?>
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=$saldo?>
				</strong></span></div></td>
                <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=$precio_unitario?>
				</strong></span></div></td>
				
	        </tr>	
			<?
			$cont+=1;
			}
						
			?>
    	
    </table>
	<form name="form1" method="post" action="">

	  <input type="button" name="imprimir" id="imprimir" value="Imprimir" onClick="fun_imprimir();">
	  <input name="txt_nv" id="txt_nv" type="text" style="visibility:hidden" size="1">
    </form>
  </div>
</body>
</html>

<script language="javascript" type="text/javascript">
function cerrar()
{
window.top.open('','_parent','');
window.top.close();
}
function fun_imprimir()
	{
	document.getElementById('imprimir').style.display = "none";
	window.print();
	document.getElementById('imprimir').style.display = "block";
	};

</script>